Package com.meterware.httpunit

# Class TextBlock

java.lang.Object
com.meterware.httpunit.ParsedHTML
com.meterware.httpunit.BlockElement
com.meterware.httpunit.TextBlock

All Implemented Interfaces:
  `HTMLElement`, `HTMLSegment`, `ScriptingEventHandler`

public class TextBlock extends BlockElement
A class which represents a block of text in a web page. Experimental.

Since:
  1.6
Author:
  Russell Gold

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HTMLElementPredicate`
`MATCH_CLASS`
Predicate to match part or all of a block's class attribute.
`static final HTMLElementPredicate`
`MATCH_TAG`
Predicate to match the tag associated with a block (case insensitive).

## Constructor Summary

Constructors
Constructor
Description
`TextBlock(WebResponse response, FrameSelector frame, URL baseURL, String baseTarget, Node rootNode, String characterSet)`

## Method Summary

Modifier and Type
Method
Description
`WebList[]`
`getLists()`
Returns any lists embedded in this text block.

### Methods inherited from class com.meterware.httpunit.BlockElement

`doEvent, doEventScript, equals, getAttribute, getAttributeValue, getClassName, getDOM, getID, getName, getNode, getParentDelegate, getScriptingHandler, getTagName, getText, getTitle, handleEvent, hashCode, isSupportedAttribute, newScriptable, removeAttribute, setAttribute`

### Methods inherited from class com.meterware.httpunit.ParsedHTML

`getApplets, getElementNames, getElementsWithAttribute, getElementsWithName, getElementWithID, getFirstMatchingForm, getFirstMatchingLink, getFirstMatchingTable, getFirstMatchingTextBlock, getForms, getFormWithID, getFormWithName, getFrames, getImages, getImageWithAltText, getImageWithName, getImageWithSource, getLinks, getLinkWith, getLinkWithID, getLinkWithImageText, getLinkWithName, getMatchingForms, getMatchingLinks, getMatchingTables, getNextTextBlock, getTables, getTableStartingWith, getTableStartingWithPrefix, getTableWithID, getTableWithSummary, getTextBlocks, isWebLink, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.meterware.httpunit.HTMLSegment

`getApplets, getElementNames, getElementsWithAttribute, getElementsWithName, getElementWithID, getFirstMatchingForm, getFirstMatchingLink, getFirstMatchingTable, getForms, getFormWithID, getFormWithName, getImages, getImageWithAltText, getImageWithName, getImageWithSource, getLinks, getLinkWith, getLinkWithImageText, getMatchingForms, getMatchingLinks, getMatchingTables, getTables, getTableStartingWith, getTableStartingWithPrefix, getTableWithID, getTableWithSummary, getTextBlocks`

## Field Details

### MATCH_CLASS

public static final HTMLElementPredicate MATCH_CLASS
Predicate to match part or all of a block's class attribute.

### MATCH_TAG

public static final HTMLElementPredicate MATCH_TAG
Predicate to match the tag associated with a block (case insensitive).

## Constructor Details

### TextBlock

public TextBlock(WebResponse response, FrameSelector frame, URL baseURL, String baseTarget, Node rootNode, String characterSet)

## Method Details

### getLists

public WebList[] getLists()
Returns any lists embedded in this text block.